run: exercise_05_14
	./exercise_05_14
	
exercise_05_14: exercise_05_14.o .gitignore
	clang++ exercise_05_14.o -o exercise_05_14
	
exercise_05_14.ii: exercise_05_14.cpp
	clang++ -E exercise_05_14.cpp -o exercise_05_14.ii
	
exercise_05_14.s: exercise_05_14.ii
	clang++ -S exercise_05_14.ii -o exercise_05_14.s
	
exercise_05_14.o: exercise_05_14.s
	clang++ -c exercise_05_14.s -o exercise_05_14.o
	
.gitignore:
	echo exercise_05_14 > .gitignore
	
clean:
	rm *.ii *.s *.o exercise_05_14 .gitignore

